package org.processmining.plugins.complianceframework.model;

import org.processmining.plugins.DataConformance.DataAlignment.GenericTrace;
import org.processmining.plugins.DataConformance.framework.ExecutionTrace;
import org.processmining.plugins.DataConformance.framework.ReplayState;

public class DPNReplayState extends ReplayState {
	public DPNReplayState(){
		super();
		this.processTracePrefix = new GenericTrace(0, "dummy");
		this.logTracePrefix = new GenericTrace(0, "dummy");
		this.f_cost = 0;
	}
	
	public DPNReplayState(ExecutionTrace procTrace, ExecutionTrace logTrace, float cost){
		super();
		this.processTracePrefix = procTrace;
		this.logTracePrefix = logTrace;
		this.f_cost = cost;
	}
}
